IntlCalendar::setRepeatedWallTimeOption
IntlCalendar::setTime
IntlCalendar
PHP Manual

# IntlCalendar::setSkippedWallTimeOption

Set behavior for handling skipped wall times at positive timezone offset transitions

### Description

public bool IntlCalendar::setSkippedWallTimeOption ( int `$wallTimeOption` )

Sets the current strategy for dealing with wall times that are skipped whenever the clock is forwarded during dailight saving time start transitions. The default value is `IntlCalendar::WALLTIME_LAST` (take it as being the same instant as the one when the wall time is one hour more). Alternative values are `IntlCalendar::WALLTIME_FIRST` (same instant as the one with a wall time of one hour less) and `IntlCalendar::WALLTIME_NEXT_VALID` (same instant as when DST begins).

This affects only the instant represented by the calendar (as reported by IntlCalendar::getTime), the field values will not be rewritten accordingly.

The calendar must be lenient for this option to have any effect, otherwise attempting to set a non-existing time will cause an error.

### Parameters

`wallTimeOption`

  One of the constants `IntlCalendar::WALLTIME_FIRST`, `IntlCalendar::WALLTIME_LAST` or `IntlCalendar::WALLTIME_NEXT_VALID`.

### Return Values

Returns `TRUE` on success. Failure can only happen due to invalid parameters.

### Examples

See the example on IntlCalendar::getSkippedWallTimeOption.

### See Also

- intlCalendar::getSkippedWallTimeOption
- intlCalendar::setRepeatedWallTimeOption
- intlCalendar::getRepeatedWallTimeOption